Skip to content

Commit

Permalink
Unify godep code in hack/*-godep*.sh
Browse files Browse the repository at this point in the history
  • Loading branch information
sttts committed Mar 9, 2017
1 parent cf73261 commit 798d9c2
Show file tree
Hide file tree
Showing 3 changed files with 21 additions and 10 deletions.
7 changes: 4 additions & 3 deletions hack/godep-restore.sh
Original file line number Diff line number Diff line change
Expand Up @@ -20,9 +20,10 @@ set -o pipefail

KUBE_ROOT=$(dirname "${BASH_SOURCE}")/..
source "${KUBE_ROOT}/hack/lib/init.sh"
export GOPATH=${GOPATH}:${KUBE_ROOT}/staging
GODEP="${GODEP:-godep}"
source "${KUBE_ROOT}/hack/lib/util.sh"

kube::util::ensure_godep_version v74

echo "Starting to download all kubernetes godeps. This takes a while"
"${GODEP}" restore "$@"
GOPATH=${GOPATH}:${KUBE_ROOT}/staging godep restore "$@"
echo "Download finished"
8 changes: 4 additions & 4 deletions hack/godep-save.sh
Original file line number Diff line number Diff line change
Expand Up @@ -20,9 +20,9 @@ set -o pipefail

KUBE_ROOT=$(dirname "${BASH_SOURCE}")/..
source "${KUBE_ROOT}/hack/lib/init.sh"
export GOPATH=${GOPATH}:${KUBE_ROOT}/staging
GODEP="${GODEP:-godep}"
source "${KUBE_ROOT}/hack/lib/util.sh"

kube::util::ensure_godep_version v74

# Some things we want in godeps aren't code dependencies, so ./...
# won't pick them up.
Expand All @@ -34,8 +34,8 @@ REQUIRED_BINS=(
)

pushd "${KUBE_ROOT}" > /dev/null
"${GODEP}" version
GO15VENDOREXPERIMENT=1 ${GODEP} save "${REQUIRED_BINS[@]}"
GOPATH=${GOPATH}:${KUBE_ROOT}/staging godep save "${REQUIRED_BINS[@]}"

# create a symlink in vendor directory pointing to the staging client. This
# let other packages use the staging client as if it were vendored.
if [ ! -e "vendor/k8s.io/client-go" ]; then
Expand Down
16 changes: 13 additions & 3 deletions hack/update-all.sh
Original file line number Diff line number Diff line change
Expand Up @@ -20,10 +20,13 @@ set -o nounset
set -o pipefail

KUBE_ROOT=$(dirname "${BASH_SOURCE}")/..
source "${KUBE_ROOT}/hack/lib/init.sh"
source "${KUBE_ROOT}/hack/lib/util.sh"
source "${KUBE_ROOT}/cluster/lib/util.sh"

SILENT=true
ALL=false
V=""

while getopts ":va" opt; do
case $opt in
Expand All @@ -32,6 +35,7 @@ while getopts ":va" opt; do
;;
v)
SILENT=false
V="-v"
;;
\?)
echo "Invalid flag: -$OPTARG" >&2
Expand All @@ -50,6 +54,13 @@ if ! $ALL ; then
echo "Running in short-circuit mode; run with -a to force all scripts to run."
fi

kube::util::ensure_godep_version v74

if ! kube::util::godep_restored 2>&1 | sed 's/^/ /'; then
echo "Running godep restore"
"${KUBE_ROOT}/hack/godep-restore.sh" ${V}
fi

BASH_TARGETS="
update-generated-protobuf
update-codegen
Expand All @@ -64,9 +75,8 @@ BASH_TARGETS="
update-staging-godeps
update-bazel"

for t in $BASH_TARGETS
do
echo -e "${color_yellow}Running $t${color_norm}"
for t in $BASH_TARGETS; do
echo -e "${color_yellow}Updating $t${color_norm}"
if $SILENT ; then
if ! bash "$KUBE_ROOT/hack/$t.sh" 1> /dev/null; then
echo -e "${color_red}Running $t FAILED${color_norm}"
Expand Down

0 comments on commit 798d9c2

Please sign in to comment.